"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const require_dir_1 = __importDefault(require("require-dir"));
const suitesParser = __importStar(require("../parsers/suitesParser"));
const getSuites = (suiteDirectories) => (suiteDirectories.reduce((suites, srcDir) => {
    const dirTree = require_dir_1.default(srcDir, { recurse: true, noCache: true });
    const srcSuites = suitesParser.parse(dirTree);
    Object.keys(srcSuites).forEach(srcSuiteName => {
        const suiteName = path_1.default.relative(process.cwd(), path_1.default.resolve(srcDir, srcSuiteName));
        suites[suiteName] = srcSuites[srcSuiteName];
    });
    return suites;
}, {}));
exports.getSuites = getSuites;
//# sourceMappingURL=getSuites.js.map